cascading.flow.local

## Class LocalFlow

- java.lang.Object
- - cascading.flow.BaseFlow<java.util.Properties>
  - - cascading.flow.local.LocalFlow

All Implemented Interfaces:
  Flow<java.util.Properties>, UnitOfWork<FlowStats>, ProcessLogger

    public class LocalFlow
    extends BaseFlow<java.util.Properties>

Class LocalFlow is the local mode specific implementation of a `Flow`.

LocalFlow must be created through a `LocalFlowConnector` instance.

If classpath paths are provided on the `FlowDef`, the context classloader used to internally urn the current Flow will be swapped out with an URLClassLoader pointing to each element.

See Also:
  `LocalFlowConnector`

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.flow.BaseFlow

`BaseFlow.FlowHolder`

### Field Summary

### Fields inherited from class cascading.flow.BaseFlow

`completed, flowCanonicalHash, flowDescriptor, flowElementGraph, flowStats, flowStepGraph, platformInfo, shutdownHook, sinks, sources, steps, stop, stopJobsOnExit, thread, throwable`

### Fields inherited from interface cascading.flow.Flow

`CASCADING_FLOW_ID`

### Fields inherited from interface cascading.util.ProcessLogger

`NULL`

### Constructor Summary

Constructors
Constructor and Description
`LocalFlow(PlatformInfo platformInfo, java.util.Map<java.lang.Object,java.lang.Object> properties, java.util.Properties config, FlowDef flowDef)`

### Method Summary

Methods
`protected java.lang.Thread` `createFlowThread(java.lang.String threadName)`
`java.util.Properties` `getConfig()`
`java.util.Map<java.lang.Object,java.lang.Object>` `getConfigAsProperties()`
`java.util.Properties` `getConfigCopy()`
`FlowProcess<java.util.Properties>` `getFlowProcess()`
`protected int` `getMaxNumParallelSteps()`
`java.lang.String` `getProperty(java.lang.String key)`
`protected void` `initConfig(java.util.Map<java.lang.Object,java.lang.Object> properties, java.util.Properties parentConfig)`
`protected void` `internalClean(boolean stop)`
`protected void` `internalShutdown()`
`protected void` `internalStart()`
`protected java.util.Properties` `newConfig(java.util.Properties defaultConfig)`
`protected void` `setConfigProperty(java.util.Properties properties, java.lang.Object key, java.lang.Object value)`
`boolean` `stepsAreLocal()`

### Methods inherited from class cascading.flow.BaseFlow

`addListener, addPlannerProperties, addSessionProperties, addStepListener, areSinksStale, areSourcesNewer, cleanup, complete, createConfig, createFlowCanonicalHash, createFlowStats, createPrepareFlowStats, deleteCheckpointsIfNotUpdate, deleteCheckpointsIfReplace, deleteSinks, deleteSinksIfNotUpdate, deleteSinksIfReplace, deleteTrapsIfNotUpdate, deleteTrapsIfReplace, fireOnCompleted, fireOnStarting, fireOnStopping, fireOnThrowable, fireOnThrowable, getCascadeID, getCascadingServices, getCheckpointNames, getCheckpoints, getCheckpointsCollection, getClassPath, getClientState, getEligibleJobsSize, getFieldsFor, getFlowCanonicalHash, getFlowDescriptor, getFlowElementGraph, getFlowSession, getFlowSkipStrategy, getFlowStats, getFlowStepGraph, getFlowSteps, getFlowStepStrategy, getHolder, getID, getJobMapCallables, getName, getPlannerInfo, getPlatformInfo, getRunID, getSink, getSink, getSinkModified, getSinkNames, getSinks, getSinksCollection, getSource, getSourceNames, getSources, getSourcesCollection, getSpawnStrategy, getStats, getSubmitPriority, getTags, getTotalSliceCPUMilliSeconds, getTrapNames, getTraps, getTrapsCollection, handleExecutorShutdown, hasListeners, hasStepListeners, initFromProperties, initialize, initializeChildStats, initializeNewJobsMap, initSteps, internalStopAllJobs, isDebugEnabled, isInfoEnabled, isJobsMapInitialized, isSkipFlow, isStopJobsOnExit, logDebug, logError, logError, logInfo, logWarn, logWarn, logWarn, openSink, openSink, openSource, openSource, openTapForRead, openTapForWrite, openTrap, openTrap, prepare, presentSinkFields, presentSourceFields, registerShutdownHook, removeListener, removeListeners, removeStepListener, resourceExists, retrieveSinkFields, retrieveSourceFields, setCascade, setCheckpoints, setFlowElementGraph, setFlowSkipStrategy, setFlowStepGraph, setFlowStepStrategy, setName, setPlannerInfo, setSinks, setSources, setSpawnStrategy, setSubmitPriority, setTraps, spawnSteps, start, stop, toString, updateJobsMap, updateSchemes, writeDOT, writeStepsDOT`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LocalFlow

    public LocalFlow(PlatformInfo platformInfo,
             java.util.Map<java.lang.Object,java.lang.Object> properties,
             java.util.Properties config,
             FlowDef flowDef)

### Method Detail

#### initConfig

    protected void initConfig(java.util.Map<java.lang.Object,java.lang.Object> properties,
                  java.util.Properties parentConfig)

Specified by:
  `initConfig` in class `BaseFlow<java.util.Properties>`

#### setConfigProperty

    protected void setConfigProperty(java.util.Properties properties,
                         java.lang.Object key,
                         java.lang.Object value)

Specified by:
  `setConfigProperty` in class `BaseFlow<java.util.Properties>`

#### newConfig

    protected java.util.Properties newConfig(java.util.Properties defaultConfig)

Specified by:
  `newConfig` in class `BaseFlow<java.util.Properties>`

#### getConfig

    @ProcessConfiguration
    public java.util.Properties getConfig()

#### getConfigCopy

    public java.util.Properties getConfigCopy()

#### getConfigAsProperties

    public java.util.Map<java.lang.Object,java.lang.Object> getConfigAsProperties()

#### getProperty

    public java.lang.String getProperty(java.lang.String key)

#### getFlowProcess

    public FlowProcess<java.util.Properties> getFlowProcess()

#### internalStart

    protected void internalStart()

Specified by:
  `internalStart` in class `BaseFlow<java.util.Properties>`

#### createFlowThread

    protected java.lang.Thread createFlowThread(java.lang.String threadName)

Overrides:
  `createFlowThread` in class `BaseFlow<java.util.Properties>`

#### internalClean

    protected void internalClean(boolean stop)

Specified by:
  `internalClean` in class `BaseFlow<java.util.Properties>`

#### stepsAreLocal

    public boolean stepsAreLocal()

#### getMaxNumParallelSteps

    protected int getMaxNumParallelSteps()

Specified by:
  `getMaxNumParallelSteps` in class `BaseFlow<java.util.Properties>`

#### internalShutdown

    protected void internalShutdown()

Specified by:
  `internalShutdown` in class `BaseFlow<java.util.Properties>`